> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# データセットを削除する

> 1回のリクエストで削除できます。事前のプレビューは不要です。サーバーはその時点の依存関係の範囲を記録します。`cascade=true` を設定すると、依存するファインチューン、そのトレーニングアーティファクト、影響を受ける評価も削除されます。実行中のファインチューンや評価、ルーティングされたモデルがある場合は、引き続き削除できません。インポートと再ラベル付けはバッチまたはリクエストの区切りで停止し、削除開始後に届いた結果は破棄されます。DELETE を再度実行すると、既存の操作が返されます。クリーンアップが始まっている場合は、記録された範囲内で失敗したクリーンアップが再試行されることもあります。省略可能な削除プランのエンドポイントには、リソースが存在する間、操作のステータスが含まれます。リソースの削除後に GET を実行すると、404 が返されます。



## OpenAPI

````yaml ja/openapi/model-distillation/management.openapi.yaml DELETE /tasks/{alias}/datasets/{datasetId}
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    プロバイダー、project（APIパスではタスクと呼ばれます）、ルーティングバージョン、
    データセット、再ラベル付け、ファインチューン、評価、Analyticsを管理します。これは
    Model Distillationでも使用されるAPIです。
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 本番
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI互換エンドポイント、認証情報、モデルカタログ、料金。
  - name: Tasks
    description: 安定したタスクアイデンティティとタスクレベルの情報。
  - name: Routing
    description: バージョン管理されたモデルターゲット、重み、リクエストパラメーター。
  - name: Datasets
    description: 再現可能なデータスナップショット、エントリ、再ラベル付け、再利用可能なモデル出力。
  - name: Fine-tunes
    description: 教師ありファインチューニングジョブとホスト型モデル アーティファクト。
  - name: Evaluations
    description: ヘッドツーヘッド、完全一致、分類の評価。
  - name: Analytics
    description: タスク トラフィック、トークン、エラー、推定コストの読み取りモデル。
  - name: UI preferences
    description: UIで使用されるタスクごとの表示設定。
paths:
  /tasks/{alias}/datasets/{datasetId}:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
      - $ref: '#/components/parameters/TaskAlias'
      - $ref: '#/components/parameters/DatasetId'
    delete:
      tags:
        - Datasets
      summary: データセットを削除
      description: >-
        1回のリクエストで削除できます。事前のプレビューは不要です。サーバーはその時点の依存関係の範囲を記録します。`cascade=true`
        を設定すると、依存するファインチューン、そのトレーニングアーティファクト、影響を受ける評価も削除されます。実行中のファインチューンや評価、ルーティングされたモデルがある場合は、引き続き削除できません。インポートと再ラベル付けはバッチまたはリクエストの区切りで停止し、削除開始後に届いた結果は破棄されます。DELETE
        を再度実行すると、既存の操作が返されます。クリーンアップが始まっている場合は、記録された範囲内で失敗したクリーンアップが再試行されることもあります。省略可能な削除プランのエンドポイントには、リソースが存在する間、操作のステータスが含まれます。リソースの削除後に
        GET を実行すると、404 が返されます。
      operationId: deleteDataset
      parameters:
        - name: cascade
          in: query
          description: このデータセットに依存するファインチューンと評価も完全に削除します。
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '202':
          description: 削除がキューに追加されたか、完了済みの操作を含む既存の操作が返されました.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletionOperation'
        '204':
          description: データセットはすでに存在せず、削除操作はありません。
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: アクセス可能な個人またはチーム entity。省略すると、認証済みユーザーのデフォルトの entity を使用します。
      schema:
        type: string
    TaskAlias:
      name: alias
      in: path
      required: true
      schema:
        type: string
        pattern: ^[a-z0-9-]{1,64}$
    DatasetId:
      name: datasetId
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    DeletionOperation:
      type: object
      additionalProperties: false
      required:
        - id
        - resource_type
        - resource_id
        - status
        - current_step
        - error
        - created_at
        - updated_at
        - completed_at
        - destructive_started_at
      properties:
        id:
          type: string
          format: uuid
        resource_type:
          type: string
          enum:
            - dataset
            - finetune
        resource_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - queued
            - running
            - failed
            - completed
        current_step:
          type: string
        error:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
        destructive_started_at:
          type:
            - string
            - 'null'
          format: date-time
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
  responses:
    Error:
      description: リクエストが失敗しました。
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B APIキー。

````

## Related topics

- [データセットを収集してトラッキングする](/ja/products/wandb/weave/guides/core-types/datasets.md)
